@font-face {
    font-family: PressStart2P;
    src: url(PressStart2P-Regular.ttf);
}

* {
    margin: 0;
    box-sizing: border-box;
    padding: 0;

}

body {
    background-color: black;
}

h1 {
    font-size: 32px;
}

p {
    font-size: 16px;
}



a {
    text-decoration: none;
    color: rgb(0, 255, 229);

}

#title {
    color: rgb(0, 255, 229);
    justify-self: center;
    padding-top: 28px;
    -webkit-text-stroke: 0.5px black;
}

#menu {
    /* background-image: linear-gradient(#8A00FF, #b700ff, #da00ff); */
    background-color: black;
    width: 800px;
    height: 400px;
    display: grid;
    font-family: PressStart2P;
    border: solid 3px rgb(0, 255, 229);
    border-radius: 30px;
    color: rgb(0, 255, 229);
}

#gameover {
    background-color: black;
    width: 800px;
    height: 400px;
    display: grid;
    font-family: PressStart2P;
    border: solid 3px rgb(0, 255, 229);
    border-radius: 30px;
    padding: 30px;
    color: rgb(0, 255, 229);
}

.gameover-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}
#highscores {
    background-color: black;
    width: 800px;
    height: 400px;
    display: grid;
    font-family: PressStart2P;
    border: solid 3px rgb(0, 255, 229);
    border-radius: 30px;
    padding: 30px;
    color: rgb(0, 255, 229);
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}

.highscore-grid {
    display: grid;
    text-align: center;
}
.highscore-grid a{
    font-size: 20px;
    color: rgb(0, 255, 229);
}

.gameover-grid div{
    text-align: center;
    }


.heading {
    text-align: center;
}

#guide {
    /* background-image: linear-gradient(#8A00FF, #b700ff, #da00ff); */
    background-color: black;
    width: 800px;
    height: 400px;
    font-family: PressStart2P;
    border: solid 3px rgb(0, 255, 229);
    border-radius: 30px;
    padding: 30px;
    text-align: center;
    color: rgb(0, 255, 229);
    -webkit-text-stroke: 0.5px black;
}

.guidegrids {
    grid-template-rows: 1fr 1fr 1fr;
    display: grid;
    margin-top: 40px;
}

.first {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;

}

.second {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    margin-top: 20px;

}

.info {

    display: flex;
    align-items: center;
    flex-direction: column;
}

.info p {
    margin-bottom: 20px;
}

.info div {
    margin-top: 0px;
}

#menu-buttons {
    display: grid;
    -webkit-text-stroke: 0.5px black;
}

#start {
    justify-self: center;
    -webkit-text-stroke: 0.8px black;
    font-size: 24px;

}

#settings {
    display: grid;
    justify-self: center;
    grid-template-columns: 1fr 1fr;
    gap: 200px;
    font-size: 24px;
    -webkit-text-stroke: 0.8px black;
}

#game {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

#scores {
    height: 100px;
    display: grid;
    font-family: PressStart2P;
    color: rgb(0, 255, 229);

}



.score1 {
    justify-self: center;
    font-size: 24px;
    padding-top: 20px;
}

#lives {
    justify-self: center;
}

#game-container {
    width: 1000px;
    height: 400px;
    margin: 0px 250px;
    border: solid rgb(0, 255, 229) 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    /* background-image: linear-gradient(#8A00FF, #b700ff, #da00ff); */
    background-color: black;
    border-radius: 16px;



}



#player {
    width: 10px;
    height: 10px;
    background-color: rgb(0, 255, 229);
    position: absolute;
}

.exampleplayer {
    width: 15px;
    height: 15px;
    background-color: rgb(0, 255, 229);

}

.enemy {
    width: 15px;
    height: 15px;
    background-color: #ff0004;
    border: solid 1px black;
    position: absolute;
    display: none;
}

.example {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    height: 100%;
    width: 100%;
}

.movementkeys {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 16px;

}

.movementkeys div {
    color: white;
    -webkit-text-stroke: 0.5px black;
    padding: 10px;
    border: solid 1px black;
    background-image: linear-gradient(#8A00FF, #b700ff, #da00ff);
    display: flex;
    align-items: center;

}

.exampleenemy {
    width: 15px;
    height: 15px;
    background-color: #ff0004;
    border: solid 1px black;
}

.third {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin-bottom: 10px;
    gap: 20px;
}

.third div {
    display: flex;
    justify-content: center;
    font-size: 20px;
}

.third div a {
    color: rgb(0, 255, 229);
}

input {
    width: 100%;
    padding: 10px;
    font-family: PressStart2P;
    background-color: black;
    border: solid 3px rgb(0, 255, 229);
    color: rgb(0, 255, 229);
    border-radius: 16px;
    margin-bottom: 20px;
    margin-top: 20px;
}

input::placeholder {
    color: rgb(0, 255, 229);
}

input:focus::placeholder {
    color: transparent;
}
.inputs{
    display: grid;
    
}
.submit-button{
    justify-self: center;
    padding: 16px;
    background-color: black;
    color: rgb(0, 255, 229);
    border-radius: 16px;
    font-family: PressStart2P;
    border: solid 3px rgb(0, 255, 229);
}
iframe{
    border: solid 3px #00ffe5;
    border-radius: 16px;
}